/* page presentation */
body {
    font-family: 'Open Sans', sans-serif;
    margin: 0;
    padding: 0;
    transition: background-color 1s;
    background-color: #f7f7f7;
}

nav {
    background-color: #0d00ff;
    color: #fff;
}

nav ul {
    list-style-type: none;
    padding: 0;
    margin: 0;
    display: flex;
}

nav ul li {
    display: inline;
    margin-right: 20px;
}

nav ul li a {
    text-decoration: none;
    color: #fff;
    font-weight: bold;
}

/* Styles spécifiques à la page de présentation */
header {
    background-image: url('background.jpg'); /* Ajoutez votre image de fond ici */
    background-size: cover;
    text-align: center;
    padding: 100px 0;
}

header h1 {
    font-size: 2.5em;
}

section {
    max-width: 800px;
    margin: 0 auto;
    padding: 20px;
}


footer {
    background-color: #0d00ff;
    color: #fff;
    text-align: center;
    padding: 10px 0;
    bottom: 0;
    width: 100%;
    margin-top: 3%;
}

h1 {
    text-align: center;
    padding: 20px 0;
    text-decoration: underline;
}

/*page produit*/

#search {
    width: 100%;
    padding: 10px;
    margin-bottom: 20px;
    font-size: 16px;
}

#product-list {
    list-style-type: none;
    padding: 0;
    margin: 0;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}

.product {
    background-color: #fff;
    border: 1px solid #ccc;
    border-radius: 5px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    margin: 10px;
    padding: 10px;
    width: 300px;
}

.product h2 {
    font-size: 18px;
    margin: 0;
    color: #333;
}

.product p {
    margin: 10px 0;
    color: #666;
}

/*page connexion*/
.containerConnexion{
    padding-top: 15px;
    display: flex;
    justify-content: center;
    width: 122%;
}

/*button dark/light*/
#toggle-mode{
    margin: 2%;
    border: none;
    background-color: white;
}

.dark-mode {
    background-color: #333;
    color: #fff;
}

/*page contact*/
.containerContact{
    display: flex;
    flex-direction: column;
    align-items: center;
}